# eric4.E4Network.E4NetworkHeaderDetailsDialog

Module implementing a dialog to show the data of a response or reply header.

### Global Attributes

None

### Classes

E4NetworkHeaderDetailsDialog | Class implementing a dialog to show the data of a response or reply header.

### Functions

None

## E4NetworkHeaderDetailsDialog

Class implementing a dialog to show the data of a response or reply header.

### Derived from

QDialog, Ui_E4NetworkHeaderDetailsDialog

### Class Attributes

None

### Class Methods

None

### Methods

E4NetworkHeaderDetailsDialog | Constructor
setData | Public method to set the data to display.

### Static Methods

None

#### E4NetworkHeaderDetailsDialog (Constructor)

E4NetworkHeaderDetailsDialog(parent = None)

Constructor

parent
  reference to the parent object (QWidget)

#### E4NetworkHeaderDetailsDialog.setData

setData(name, value)

Public method to set the data to display.

name
  name of the header (string or QString)
value
  value of the header (string or QString)

Up